namespace Model.Entity.Data;

public static class DataType
{
    public static string Any = "Any";
    public static string None = "None";

    public static string PYREEVENT_TowerKilled = "9a923928-b016-49f2-8c7d-950abf09e287";
    public static string PYREEVENT_CampTaken = "cc27a9b2-69e2-4322-8102-7a9f8bea7871";
    public static string PYREEVENT_MinerTaken = "5b158cf2-2810-4a2a-8131-c4fe4b392ce9";
    public static string TEAPOT_Teapot = "7c30273e-b73b-458f-88d6-545360d046cc";
    public static string TEAPOT_FlyingTeapot = "3eb385ed-7086-4abb-8670-332e7a16c008";
    public static string FAMILY_Sylv = "73d69995-128d-4cfe-a40a-e5f00491f87b";
    public static string FAMILY_Human = "466d3be4-5322-4d5c-88d2-fb26563c8ee8";
    public static string FAMILY_Angelic = "c43686a6-f6d0-4a18-9870-338c64511051";
    public static string FAMILY_Coalition = "8aba0aff-ce18-4e15-afdc-28bb12a112bb";
    public static string FAMILY_Rae = "ce8d60f3-b590-4619-ad90-27e65f77312b";
    public static string FAMILY_Demonic = "f61a3630-9474-4ec3-bc71-997cacc52bc1";
    public static string FAMILY_NazRa = "56cc934f-57a9-442c-909a-25690f836679";

    public static string FACTION_Neutral = "95da29af-99da-45fe-80f6-4ae1cc0d0f47";
    public static string FACTION_Aru = "fb103962-7518-48df-b7d9-83906a009db8";
    public static string FACTION_Iratek = "dbc12bda-b4f2-4fa0-8270-18dc1646d62d";
    public static string FACTION_Yul = "9c0492af-1ef8-4113-9010-92178493f8b3";
    public static string FACTION_Jora = "692f534f-2bdc-4b27-90b4-d88bed3dd910";
    public static string FACTION_Telmetra = "1b1e2742-81c9-42d0-966c-1e43eb11e34a";
    public static string FACTION_Kjor = "1b1a354a-863f-440e-b4e7-acad41a6ece8";
    public static string FACTION_QRath = "3bb4bdf7-d7bf-45cb-b123-02f8ba52b848";
    public static string FACTION_YRiah = "c7537d12-a536-4ef5-99b9-d7ad704716fe";
    public static string FACTION_ArkShai = "ffe82eea-b8c6-4933-9230-cd019fd1c259";
    public static string FACTION_Herlesh = "e6c09f4a-ae7d-4bfd-b5d4-a63445d59498";
    public static string FACTION_Khardu = "a1764de6-8178-4775-819a-59d23677dd76";
    public static string COMMAND_Attack = "168486ff-581e-46da-a308-74f1d7d615fd";
    public static string COMMAND_StandGround = "cb9ee44f-7293-4a82-826c-a3829491006b";
    public static string MISC_Rocks = "030016ad-b972-4ad5-a601-41a99f8db305";
    public static string NEUTRAL_Tower = "40a5d5c7-42b8-48af-b71f-d75fedafb7b6";
    public static string NEUTRAL_PyreCamp = "185a9895-63da-402b-8d09-4c8609d52b04";
    public static string NEUTRAL_PyreMiner = "474727ee-0353-462f-9241-fb9031eb52a8";
    public static string STARTING_Bastion = "73d17ce2-8304-43dc-a0dd-d4a5666ea0b3";
    public static string STARTING_Tower = "3ca43196-db92-4beb-b5c5-65bdffbd32cf";
    public static string STARTING_TownHall_Aru = "f08e5320-8419-4259-b48d-e201b1f05ccf";
    public static string STARTING_TownHall_QRath = "150a4727-f831-48be-81fe-4dfd3588dfec";
    public static string IMMORTAL_Orzum = nameof(IMMORTAL_Orzum);
    public static string IMMORTAL_Ajari = nameof(IMMORTAL_Ajari);
    public static string IMMORTAL_Atzlan = nameof(IMMORTAL_Atzlan);
    public static string IMMORTAL_Mala = nameof(IMMORTAL_Mala);
    public static string IMMORTAL_Xol = nameof(IMMORTAL_Xol);


    public static string ISPELL_SummonCitadel = nameof(ISPELL_SummonCitadel);

    public static string ISPELL_RookOfIra = nameof(ISPELL_RookOfIra);
    public static string ISPELL_EmpireUnbroken = nameof(ISPELL_EmpireUnbroken);
    public static string ISPELL_PillarOfHeaven = nameof(ISPELL_PillarOfHeaven);

    public static string ISPELL_HeavensAegis = nameof(ISPELL_HeavensAegis);
    public static string ISPELL_DeliverFromEvil = nameof(ISPELL_DeliverFromEvil);
    public static string ISPELL_Salvation = nameof(ISPELL_Salvation);

    public static string ISPELL_SummonGroveGuardian = nameof(ISPELL_SummonGroveGuardian);
    public static string ISPELL_ConstructBloodWell = nameof(ISPELL_ConstructBloodWell);

    public static string ISPELL_RedHarvest = nameof(ISPELL_RedHarvest);
    public static string ISPELL_ProphetsFavor = nameof(ISPELL_ProphetsFavor);
    public static string ISPELL_RainOfBlood = nameof(ISPELL_RainOfBlood);

    public static string ISPELL_ProphetOfTheHunt = nameof(ISPELL_ProphetOfTheHunt);
    public static string ISPELL_HuntingGrounds = nameof(ISPELL_HuntingGrounds);
    public static string ISPELL_TheGreatHunt = nameof(ISPELL_TheGreatHunt);

    public static string ISPELL_ProphetOfTheRoots = nameof(ISPELL_ProphetOfTheRoots);
    public static string ISPELL_WallOfRoots = nameof(ISPELL_WallOfRoots);
    public static string ISPELL_SummonDeepWyrm = nameof(ISPELL_SummonDeepWyrm);
    public static string ISPELL_SummonRootBud = nameof(ISPELL_SummonRootBud);


    public static string IPASSIVE_MendingGrace = nameof(IPASSIVE_MendingGrace);
    public static string IPASSIVE_OrdainedConquest = nameof(IPASSIVE_OrdainedConquest);

    public static string IPASSIVE_MothersHunger = nameof(IPASSIVE_MothersHunger);
    public static string IPASSIVE_StalkersSense = nameof(IPASSIVE_StalkersSense);
    public static string IPASSIVE_GreenThumb = nameof(IPASSIVE_GreenThumb);

    public static string BUILDING_Acropolis = nameof(BUILDING_Acropolis);
    public static string BUILDING_ApostleOfBinding = nameof(BUILDING_ApostleOfBinding);
    public static string BUILDING_GroveHeart = nameof(BUILDING_GroveHeart);
    public static string BUILDING_EtherMaw = nameof(BUILDING_EtherMaw);

    public static string BUPGRADE_MiningLevel2_QRath = nameof(BUPGRADE_MiningLevel2_QRath);
    public static string BUPGRADE_MiningLevel2_Aru = nameof(BUPGRADE_MiningLevel2_Aru);
    public static string CONVERSION_EtherSruge_QRath = nameof(CONVERSION_EtherSruge_QRath);
    public static string CONVERSION_EtherSruge_Aru = nameof(CONVERSION_EtherSruge_Aru);


    public static string BUPGRADE_GodHeart = nameof(BUPGRADE_GodHeart);
    public static string BUPGRADE_Omnivore = nameof(BUPGRADE_Omnivore);
    public static string BUILDING_LegionHall = nameof(BUILDING_LegionHall);
    public static string BUILDING_SoulFoundry = nameof(BUILDING_SoulFoundry);
    public static string BUILDING_Angelarium = nameof(BUILDING_Angelarium);
    public static string BUILDING_AltarOfTheWorthy = nameof(BUILDING_AltarOfTheWorthy);
    public static string BUILDING_AmberWomb = nameof(BUILDING_AmberWomb);
    public static string BUILDING_BoneCanopy = nameof(BUILDING_BoneCanopy);
    public static string BUILDING_Reliquary = nameof(BUILDING_Reliquary);
    public static string BUILDING_MonasteryOfIzur = nameof(BUILDING_MonasteryOfIzur);
    public static string BUILDING_HouseOfFadingSaints = nameof(BUILDING_HouseOfFadingSaints);
    public static string BUILDING_EyeOfAros = nameof(BUILDING_EyeOfAros);
    public static string BUILDING_BearerOfTheCrown = nameof(BUILDING_BearerOfTheCrown);
    public static string BUILDING_RedVale = nameof(BUILDING_RedVale);
    public static string BUILDING_DeepNest = nameof(BUILDING_DeepNest);
    public static string BUILDING_MurderHollow = nameof(BUILDING_MurderHollow);
    public static string BUILDING_Neurocyte = nameof(BUILDING_Neurocyte);
    public static string BUILDING_RootCradle = nameof(BUILDING_RootCradle);
    public static string DEFENSE_FireSinger = nameof(DEFENSE_FireSinger);

    public static string BUILDING_KeeperOfTheHardenedFlames = nameof(BUILDING_KeeperOfTheHardenedFlames);


    public static string DEFENSE_Aerovore = nameof(DEFENSE_Aerovore);


    public static string UPGRADE_GreavesOfAhqar = nameof(UPGRADE_GreavesOfAhqar);
    public static string UPGRADE_FortifiedIcons = nameof(UPGRADE_FortifiedIcons);

    public static string UPGRADE_PsalmOfFire = nameof(UPGRADE_PsalmOfFire);
    public static string UPGRADE_FaithCastBlades = nameof(UPGRADE_FaithCastBlades);
    public static string UPGRADE_RelicOfTheWrathfulGaze = nameof(UPGRADE_RelicOfTheWrathfulGaze);
    public static string UPGRADE_WindStep = nameof(UPGRADE_WindStep);
    public static string UPGRADE_ZephyrRange = nameof(UPGRADE_ZephyrRange);
    public static string UPGRADE_SiroccoScript = nameof(UPGRADE_SiroccoScript);
    public static string UPGRADE_IconOfTheEnduringVigil = nameof(UPGRADE_IconOfTheEnduringVigil);
    public static string UPGRADE_AbsolverHealthUpgrade = nameof(UPGRADE_AbsolverHealthUpgrade);
    public static string UPGRADE_Awestrike = nameof(UPGRADE_Awestrike);
    public static string UPGRADE_IconOfKhastEem = nameof(UPGRADE_IconOfKhastEem);
    public static string UPGRADE_WingsOfTheKenLatir = nameof(UPGRADE_WingsOfTheKenLatir);
    public static string UPGRADE_TitheBlades = nameof(UPGRADE_TitheBlades);

    public static string UPGRADE_Offering = nameof(UPGRADE_Offering);
    public static string UPGRADE_PursuitLigaments = nameof(UPGRADE_PursuitLigaments);
    public static string UPGRADE_EthericFibers = nameof(UPGRADE_EthericFibers);
    public static string UPGRADE_ObstructingSwarm = nameof(UPGRADE_ObstructingSwarm);
    public static string UPGRADE_Hematoma = nameof(UPGRADE_Hematoma);
    public static string UPGRADE_ResinantSpeed = nameof(UPGRADE_ResinantSpeed);
    public static string UPGRADE_RootShepherdHidden = nameof(UPGRADE_RootShepherdHidden);
    public static string UPGRADE_RootShepherdSpeed = nameof(UPGRADE_RootShepherdSpeed);
    public static string UPGRADE_EoxBowstring = nameof(UPGRADE_EoxBowstring);
    public static string UPGRADE_SporeBurst = nameof(UPGRADE_SporeBurst);
    public static string UPGRADE_VitellineCysts = nameof(UPGRADE_VitellineCysts);
    public static string UPGRADE_HyperAdrenoceptors = nameof(UPGRADE_HyperAdrenoceptors);
    public static string UPGRADE_BloodPlague = nameof(UPGRADE_BloodPlague);
    public static string UPGRADE_BirthingStorm = nameof(UPGRADE_BirthingStorm);
    public static string UPGRADE_GodphageDamage = nameof(UPGRADE_GodphageDamage);

    public static string UPGRADE_GENERIC_Attack1 = nameof(UPGRADE_GENERIC_Attack1);
    public static string UPGRADE_GENERIC_Defense1 = nameof(UPGRADE_GENERIC_Defense1);


    public static string UPGRADE_RadiantWard = nameof(UPGRADE_RadiantWard);

    public static string UPGRADE_Ambush = nameof(UPGRADE_Ambush);

    public static string PASSIVE_Detection = "434468fa-83b2-4fc9-a38c-1a3d00bcf055";

    public static string PASSIVE_WraithBowRange = "196dd8a6-2044-44e1-aac4-fbaa40552699";

    public static string PASSIVE_HiddenX = "7b819996-ffc0-4e07-9c11-c91c5f9d467b";

    public static string PASSIVE_Respite = "607c39f4-a957-4a7a-8fc6-a239f9e570ec";
    public static string PASSIVE_BastionPassives = "ea42b9cb-2456-4ed2-b490-fcfde12c6153";
    public static string PASSIVE_HallowedWarrior = "fea43ced-33f3-4531-af7d-740c1789fec1";
    public static string PASSIVE_GreavesOfAhqar = "3c408d75-7bee-4089-84c0-74620ac708b6";
    public static string PASSIVE_FortifiedIcons = "35f3f02f-e22e-44be-b2ea-82972c383308";

    public static string PASSIVE_HarvestAlloy = "84bacf5a-b106-455c-8cff-66c3998404f8";
    public static string PASSIVE_RelicOfTheWrathfulGaze = "ccebc0c9-cfd5-465a-8a5d-2495bd745a83";

    public static string PASSIVE_WingsOfTheKenLatir = "48909ff5-63db-4c99-b62f-d290e127e0bf";

    public static string PASSIVE_ExecutionRites = "8d017a17-320f-4c2a-b139-d2d83bf7ecd0";


    public static string PASSIVE_IconOfKhastEem = "7a211da6-4713-40f5-a171-1e3b6e02bf09";
    public static string PASSIVE_FaithCastBlades = "da4f8c9c-1b22-4b3f-94fc-11bc12cde02d";


    public static string PASSIVE_ThroneMovingShot = "699423ed-7410-4daf-8b07-9dc733a8bf55";

    public static string PASSIVE_SiroccoScript = "11c21afa-ff88-4e42-9f97-a1d1595b115c";

    public static string PASSIVE_HallowingRites = "9c8ae47b-954e-4a17-8f35-f128c9114b61";
    public static string PASSIVE_RegentsWrath = "f111f004-6548-4430-9d13-ef44ab108ae7";
    public static string PASSIVE_PsalmOfFire = nameof(PASSIVE_PsalmOfFire);

    public static string PASSIVE_HallowedWeapons = "f9ac4b3e-d02d-42d4-8d9d-beb9c5d7edcb";

    public static string PASSIVE_Zeal = "62c4942b-5578-422d-8d4e-d1789f4efa68";
    public static string PASSIVE_HallowedGround = "bdb28984-246f-4642-84ab-9e83c02b3e2e";
    public static string PASSIVE_Rootway = "46768d4a-5047-4973-b5ca-995cda25ee8d";
    public static string PASSIVE_BehemothCapacity = "a210f109-d3ac-44d4-9724-601c795a2394";
    public static string PASSIVE_QuitlStorage2 = "0b27b863-fce5-40e4-96c7-6df94bdd92b9";
    public static string PASSIVE_Temporary = "940c04f1-df0b-4cf7-9514-09dfd9009554";
    public static string PASSIVE_Stalk = "9c107bfd-0050-4670-91b8-f9a8d771225d";
    public static string PASSIVE_Ambush = "9d0a9482-0303-4a15-bb88-972f6ae60a39";

    public static string PASSIVE_FallenHarvest = "d209e13f-d631-40d7-90e1-d9845b51b8d4";
    public static string PASSIVE_RestoreLifeblood = "fa213bc6-336c-4510-8a4b-db9ccfc54d62";
    public static string PASSIVE_Transfusion = "e67a3d6d-f2bb-4622-9e4d-ea2a26af2f39";

    public static string PASSIVE_HallowedRuin = "402b555a-eb8a-4065-bd25-465d190b30c7";
    public static string PASSIVE_ExternalDigestion = "2563723b-4a75-4a17-a104-1f5ac3b79a06";
    public static string PASSIVE_PursuitLigaments = "9f9676d5-cf6c-417d-9d08-ace400ccd39b";

    public static string PASSIVE_OssifyingSwarm = "b8897247-8393-416e-b246-409a6b3263c2";

    public static string PASSIVE_CastingFromBlood = "c97d1cf1-67d9-402b-9fa1-1abb9bfd7bfd";


    public static string PASSIVE_QuenchingScythes = "dbf07db4-e7b6-4f81-9f8e-e5391850eead";
    public static string PASSIVE_AaroxBurn = "921fe250-2b97-40c0-9765-9e6c1e766dd5";
    public static string PASSIVE_EngorgedArteries = "5b742d12-f695-4948-a00c-debdcb8b3717";
    public static string PASSIVE_ProjectileGestation = "e14f144f-8fa7-4cd5-bb9e-bed06e8af135";
    public static string PASSIVE_GuidingAmber = "9eab6701-0f0d-4858-b8a4-14e3a5dab822";
    public static string PASSIVE_GodstoneBulwark = "482189ac-713d-4870-a960-d2930961c486";
    public static string PASSIVE_Invervention = "3a70d237-1530-455a-b4f8-a626d708334c";

    public static string PASSIVE_BloodFrenzy = "356b6c33-a857-489c-8218-68c53d03db90";

    public static string PASSIVE_MendingDecree = "25d94c3d-dba9-4f02-abf4-904269b539c6";
    public static string PASSIVE_FireQuitl = "80f6b382-da1c-49a1-8235-1ea37983ea54";
    public static string PASSIVE_XacalDamage = "69928f20-5332-418f-ada3-694da3f7b199";
    public static string PASSIVE_XacalDefense = "PASSIVE_XacalDefense";

    public static string ABILITY_RadiantWard = nameof(ABILITY_RadiantWard);

    public static string PASSIVE_Maledictions = "6cdc109c-157d-433a-b225-192e39c0b613";

    public static string ABILITY_Windstep = nameof(ABILITY_Windstep);
    public static string ABILITY_Intervention = nameof(ABILITY_Intervention);
    public static string ABILITY_OrdainedPassage = nameof(ABILITY_OrdainedPassage);
    public static string ABILITY_DeployMagi = nameof(ABILITY_DeployMagi);
    public static string ABILITY_DeployAbsolver = nameof(ABILITY_DeployAbsolver);
    public static string ABILITY_DeploySentinel = nameof(ABILITY_DeploySentinel);
    public static string ABILITY_Smite = nameof(ABILITY_Smite);
    public static string ABILITY_Awestrike = nameof(ABILITY_Awestrike);
    public static string ABILITY_TitheBlades = nameof(ABILITY_TitheBlades);
    public static string ABILITY_MobilizeQrath = nameof(ABILITY_MobilizeQrath);

    public static string ABILITY_Offering = nameof(ABILITY_Offering);
    public static string ABILITY_DiveBomb = nameof(ABILITY_DiveBomb);
    public static string ABILITY_DrainingEmbrace = nameof(ABILITY_DrainingEmbrace);
    public static string ABILITY_BloodPlague = nameof(ABILITY_BloodPlague);
    public static string ABILITY_DeployResinant = nameof(ABILITY_DeployResinant);
    public static string ABILITY_DeployBloodAnchor = nameof(ABILITY_DeployBloodAnchor);
    public static string ABILITY_MobilizeAru = nameof(ABILITY_MobilizeAru);
    public static string ABILITY_BloodyRebound = nameof(ABILITY_BloodyRebound);
    public static string ABILITY_RootVice = nameof(ABILITY_RootVice);
    public static string ABILITY_BirthingStorm = nameof(ABILITY_BirthingStorm);
    public static string ABILITY_DeployDreadSister = nameof(ABILITY_DeployDreadSister);
    public static string ABILITY_MorphToGodphage = nameof(ABILITY_MorphToGodphage);
    public static string ABILITY_DeepTunnel = nameof(ABILITY_DeepTunnel);
    public static string ABILITY_ObstructingSwarm = nameof(ABILITY_ObstructingSwarm);
    public static string ABILITY_Hematoma = nameof(ABILITY_Hematoma);

    public static string VANGUARD_Zentari_Orzum = nameof(VANGUARD_Zentari_Orzum);
    public static string VANGUARD_Sceptre_Orzum = nameof(VANGUARD_Sceptre_Orzum);
    public static string VANGUARD_ArkMother_Ajari = nameof(VANGUARD_ArkMother_Ajari);
    public static string VANGUARD_Saoshin_Ajari = nameof(VANGUARD_Saoshin_Ajari);
    public static string VANGUARD_RootShepard_Atzlan = nameof(VANGUARD_RootShepard_Atzlan);
    public static string VANGUARD_Resinant_Atzlan = nameof(VANGUARD_Resinant_Atzlan);
    public static string VANGUARD_BoneStalker_Xol = nameof(VANGUARD_BoneStalker_Xol);
    public static string VANGUARD_WhiteWoodReaper_Xol = nameof(VANGUARD_WhiteWoodReaper_Xol);
    public static string VANGUARD_DreadSister_Mala = nameof(VANGUARD_DreadSister_Mala);
    public static string VANGUARD_Incubator_Mala = nameof(VANGUARD_Incubator_Mala);

    public static string WORKER_Mote = nameof(WORKER_Mote);
    public static string WORKER_Symbiote = nameof(WORKER_Symbiote);

    public static string UNIT_Sipari = nameof(UNIT_Sipari);
    public static string UNIT_Zephyr = nameof(UNIT_Zephyr);
    public static string UNIT_Magi = nameof(UNIT_Magi);
    public static string UNIT_Dervish = nameof(UNIT_Dervish);
    public static string UNIT_Absolver = nameof(UNIT_Absolver);
    public static string UNIT_Hallower = nameof(UNIT_Hallower);
    public static string UNIT_Castigator = nameof(UNIT_Castigator);
    public static string UNIT_Warden = nameof(UNIT_Warden);
    public static string UNIT_Sentinel = nameof(UNIT_Sentinel);
    public static string UNIT_Throne = nameof(UNIT_Throne);
    public static string UNIT_SharU = nameof(UNIT_SharU);
    public static string UNIT_MaskedHunter = nameof(UNIT_MaskedHunter);
    public static string UNIT_Bloodbound = nameof(UNIT_Bloodbound);
    public static string UNIT_BloodAnchor = nameof(UNIT_BloodAnchor);
    public static string UNIT_Xacal = nameof(UNIT_Xacal);
    public static string UNIT_RedSeer = nameof(UNIT_RedSeer);
    public static string UNIT_Godphage = "cdc0398d-0173-4c8a-808c-053192712f05";
    public static string UNIT_Ichor = "ff4355f1-ac0c-4ea1-8a47-ef6791252bb9";
    public static string UNIT_WraithBow = nameof(UNIT_WraithBow);
    public static string UNIT_Underspine = nameof(UNIT_Underspine);
    public static string UNIT_Aarox = nameof(UNIT_Aarox);
    public static string UNIT_Thrum = nameof(UNIT_Thrum);
    public static string UNIT_Behemoth = "3783004b-65fd-4e4e-bef0-4cf161ea2d2d";
    public static string SUMMON_Quitl = "d554fb2a-eec5-45fd-bf36-a52d51e615e2";
}